Logic Pro 10.1 requires MacOS upgrade

Discussion in 'OS X Yosemite (10.10)' started by DK8, Jun 29, 2015.

  1. DK8 macrumors newbie

    Nov 26, 2007
    I currently run 10.8.5 on my Macbook - I want to buy Logic Pro which requires 10.9.5 min to run. Am I going to regret upgrading my OS? and how many of my apps are going to stop working? Word, for sure, will be one of them :(
  2. thejasonhowell macrumors regular


    Nov 14, 2013
    Peoria, Illinois
    Microsoft Word stops working? What version are you on?

Share This Page